Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011260
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2009-11-05 13:322009-11-20 00:00
ReporternetworkbView Statuspublic 
Assigned Tovmromanos 
PriorityurgentResolutionfixedFixed in Version2.50MP9
StatusclosedFix in branchFixed in SCM revision1c785d31b416
ProjectionnoneETAnoneTarget Version2.50MP9
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP8SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011260: GL Posting by DB tables does not work properly if several accounting schemas are used

DescriptionScenario:

* Organization with is Accounting Schema.
Org1 Organization (Legal with accounting) with is Accounting Schema.
Org2, Org3 Organizations (Generic, Org1 as Parent Organization), with its own Accounting Schema.

If an invoice is posted in Org2 (using post button in Invoices), is posted properly: in * Accounting Schema, Org1 and Org2.

However, if invoices are posted in GL Posting by DB Tables, the same invoice is posted in *, Org1, Org2 and Org3.
Steps To ReproduceCreate a new Client in General Setup > Client > Initial Client Setup.
As Client Admin, create a new Organization in General Setup > Enterprise > Initial Organization Setup.
Call it "Org1", and should be "Legal with accounting". Select a CSV (or an installted COA), check BP, Product and Project and press Ok.
Go to General Setup > Enterprise > Organization. Search Org1.
Set as "Summary level". Check "Allow period control" and select one calendar.
Finally, press "Set as ready", and OK.
Go back to General Setup > Enterprise > Initial Organization Setup.
Create a new Organization. Call it Org2 and should be "Generic" and its Organization parent, should be Org1. Select a CSV, check BP, Product and Project. Press OK.
Repeat this process with Org3.
Go to General Setup > Enterprise > Organization. Search Org2. Press "Set as Ready".
Do the same within "Org3".
go to Financial Management > Accounting > Setup > Fiscal Calendar. Go to Year tab.
Press "Create periods".
Go to Financial Management > Accounting > Transactions > Open/close period control.
Create a new record, select Org1 organization, Until period "Dec-09" and as action "Open period".
Finally, press "Process".
Create a Sales Invoice (probably would be needed to create BP Category, BP, Product Category, Product, Price Lists, etc).
Complete it and post it. Three groups of GL entries will be shown.
Go to Financial Management > Accounting > Transactions > Reset accounting.
Select Invoices as Tables and check "Delete accounting entries".
Press OK.
Go to Financial Management > Accounting > Transactions > GL Posting by DB tables. Do not select anything and press OK.
Go back to Sales Invoice.
Press "Posted" buttom. See its GL entries. Four groups are shown.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0007065 closededuardo_Argal GL Posting by DB tables does nothing when you do not select an organisation, but it should process all in this case. 

-  Notes
(0021909)
vmromanos (developer)
2009-11-17 10:50

Warning: this bug is also reproducible in the Accounting Background Process. Take it into account for QA process
(0021965)
hgbot (developer)
2009-11-18 14:04

Repository: erp/devel/pi
Changeset: 1c785d31b41644d8e4fad33364d6d87358013954
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Nov 18 14:05:05 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1c785d31b41644d8e4fad33364d6d87358013954 [^]

Fixed bug 11260: GL Posting by DB tables with several accounting schemas

---
M src/org/openbravo/erpCommon/ad_forms/AcctSchema_data.xsql
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0022013)
sureshbabu (reporter)
2009-11-19 12:59

Tested, had a discussion with Victor. Its working fine.

- Issue History
Date Modified Username Field Change
2009-11-05 13:32 networkb New Issue
2009-11-05 13:32 networkb Assigned To => rafaroda
2009-11-06 10:20 rafaroda Assigned To rafaroda => vmromanos
2009-11-06 10:20 rafaroda Priority immediate => urgent
2009-11-06 10:20 rafaroda Status new => scheduled
2009-11-16 18:21 vmromanos Relationship added related to 0007065
2009-11-17 10:50 vmromanos Note Added: 0021909
2009-11-18 14:04 hgbot Checkin
2009-11-18 14:04 hgbot Note Added: 0021965
2009-11-18 14:04 hgbot Status scheduled => resolved
2009-11-18 14:04 hgbot Resolution open => fixed
2009-11-18 14:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1c785d31b41644d8e4fad33364d6d87358013954 [^]
2009-11-19 12:59 sureshbabu Note Added: 0022013
2009-11-19 12:59 sureshbabu Status resolved => closed
2009-11-19 12:59 sureshbabu Fixed in Version => 2.50MP9
2009-11-20 00:00 anonymous sf_bug_id 0 => 2900817


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker